package java.nio.file;

import java.io.IOException;
import java.nio.file.attribute.BasicFileAttributes;

public interface FileVisitor<T>
{
    public abstract FileVisitResult preVisitDirectory(T p0, BasicFileAttributes p1) throws IOException;
    
    public abstract FileVisitResult visitFile(T p0, BasicFileAttributes p1) throws IOException;
    
    public abstract FileVisitResult visitFileFailed(T p0, IOException p1) throws IOException;
    
    public abstract FileVisitResult postVisitDirectory(T p0, IOException p1) throws IOException;
}
